From 988f5449791ebf869ab9fa7520463dab4eae3404 Mon Sep 17 00:00:00 2001
From: Lyonel Vincent <lyonel@ezix.org>
Date: Sat, 18 Oct 2014 08:48:48 +0000
Subject: [PATCH] network speed detection fixes  * report 10Gbit/s capability 
 * fix building on SLES 11 SP3 (#663)  * code clean-up

git-svn-id: http://ezix.org/source/packages/lshw/development@2550 811e2811-9fd9-0310-a116-b6e8ac943c8b
---
 src/core/network.cc | 25 +++++++++++++++----------
 1 file changed, 15 insertions(+), 10 deletions(-)

diff --git a/src/core/network.cc b/src/core/network.cc
index 716508c..0252ddd 100644
--- a/src/core/network.cc
+++ b/src/core/network.cc
@@ -432,32 +432,37 @@ bool scan_network(hwNode & n)
         if(ecmd.supported & SUPPORTED_10baseT_Half)
         {
           interface.addCapability("10bt", _("10Mbit/s"));
-          interface.setCapacity(10000000L);
+          interface.setCapacity(10000000ULL);
         }
         if(ecmd.supported & SUPPORTED_10baseT_Full)
         {
           interface.addCapability("10bt-fd", _("10Mbit/s (full duplex)"));
-          interface.setCapacity(10000000L);
+          interface.setCapacity(10000000ULL);
         }
         if(ecmd.supported & SUPPORTED_100baseT_Half)
         {
           interface.addCapability("100bt", _("100Mbit/s"));
-          interface.setCapacity(100000000L);
+          interface.setCapacity(100000000ULL);
         }
         if(ecmd.supported & SUPPORTED_100baseT_Full)
         {
           interface.addCapability("100bt-fd", _("100Mbit/s (full duplex)"));
-          interface.setCapacity(100000000L);
+          interface.setCapacity(100000000ULL);
         }
         if(ecmd.supported & SUPPORTED_1000baseT_Half)
         {
           interface.addCapability("1000bt", "1Gbit/s");
-          interface.setCapacity(1000000000L);
+          interface.setCapacity(1000000000ULL);
         }
         if(ecmd.supported & SUPPORTED_1000baseT_Full)
         {
           interface.addCapability("1000bt-fd", _("1Gbit/s (full duplex)"));
-          interface.setCapacity(1000000000L);
+          interface.setCapacity(1000000000ULL);
+        }
+        if(ecmd.supported & SUPPORTED_10000baseT_Full)
+        {
+          interface.addCapability("10000bt-fd", _("10Gbit/s (full duplex)"));
+          interface.setCapacity(10000000000ULL);
         }
         if(ecmd.supported & SUPPORTED_Autoneg)
           interface.addCapability("autonegotiation", _("Auto-negotiation"));
@@ -466,19 +471,19 @@ bool scan_network(hwNode & n)
         {
           case SPEED_10:
             interface.setConfig("speed", "10Mbit/s");
-            interface.setSize(10000000L);
+            interface.setSize(10000000ULL);
             break;
           case SPEED_100:
             interface.setConfig("speed", "100Mbit/s");
-            interface.setSize(100000000L);
+            interface.setSize(100000000ULL);
             break;
           case SPEED_1000:
             interface.setConfig("speed", "1Gbit/s");
-            interface.setSize(1000000000L);
+            interface.setSize(1000000000ULL);
             break;
           case SPEED_10000:
             interface.setConfig("speed", "10Gbit/s");
-            interface.setSize(10000000000L);
+            interface.setSize(10000000000ULL);
             break;
         }
         switch(ecmd.duplex)
